/domains/{id}/dns/export
GET
/domains/{id}/dns/export
const url = 'https://example.com/api/v1/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/dns/export';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/dns/export \ --header 'Authorization: Bearer <token>'Zone-file snippet of the records plus provider notes (Cloudflare, Route 53, generic).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
zone
required
string
notes
required
object
cloudflare
required
Array<string>
route53
required
Array<string>
generic
required
Array<string>
Examplegenerated
{ "zone": "example", "notes": { "cloudflare": [ "example" ], "route53": [ "example" ], "generic": [ "example" ] }}